%define name	libsynaptics
%define version	0.14.6c

%define	major	0

%define	libname	%mklibname synaptics %major
%define	dlibname	%mklibname synaptics %major -d
%define	pdlibname	%mklibname synaptics -d

Summary:	KDE configuration for synaptics module
Name:		%{name}
Version:	%{version}
Release:	%mkrel 3
License:	GPL
Group:		System/Configuration/Hardware
URL:		http://qsynaptics.sourceforge.net/
BuildRoot:	%_tmppath/%{name}-%{version}-root-%(id -u -n)
Source0:	http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.bz2
Patch0:         libsynaptics-0.14.6c-gcc43.patch
BuildRequires:  x11-proto-devel

%description
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 

%package -n	%libname
Summary:	Library for supporting ksynaptics
Group:		System/Configuration/Hardware

%description -n %libname
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 

%package -n	%dlibname
Summary:	Development Library for supporting ksynaptics
Group:		Development/KDE and Qt
Provides:	synaptics-devel = %{version}-%{release}
Provides:	libsynaptics-devel = %{version}-%{release}
Provides:	%pdlibname = %{version}-%{release}
Requires:	%libname = %{version}-%{release}

%description -n	%dlibname
libsynaptics is an effort to eliminate version related problems in ksynaptics
by providing upwards compatibility above new Xorg touch pad driver releases. 

%prep 
%setup -q
%patch0 -p1 -b .gcc43

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(644,root,root,755)
%doc README INSTALL COPYING TODO
%{_libdir}/libsynaptics.so.0
%{_libdir}/libsynaptics.so.0.0.1

%files -n %dlibname
%{_includedir}/synaptics
%{_libdir}/libsynaptics.a
%{_libdir}/libsynaptics.la
%{_libdir}/libsynaptics.so





%changelog
* Fri Apr 10 2009 Funda Wang <fundawang@mandriva.org> 0.14.6c-3mdv2009.1
+ Revision: 365673
- fix patch num
- use configure2_5x

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.14.6c-3mdv2009.0
+ Revision: 229784
- added P0 from fedora to make it compile with gcc43

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.14.6c-1mdv2008.1
+ Revision: 136570
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Feb 10 2007 Colin Guthrie <cguthrie@mandriva.org> 0.14.6c-1mdv2007.0
+ Revision: 118694
- New Version: 0.14.6c

* Tue Jan 16 2007 Colin Guthrie <cguthrie@mandriva.org> 0.14.6b-1mdv2007.1
+ Revision: 109610
- New version (to keep in sync with driver)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires

  + Luca Berra <bluca@mandriva.org>
    - fix provides

* Fri Jul 07 2006 Luca Berra <bluca@mandriva.org> 0.14.4d-1mdv2007.0
+ Revision: 38444
- import libsynaptics-0.14.4d-1mdv2007.0

* Fri Jul 07 2006 Luca Berra <bluca@comedia.it> 0.14.4d-1mdv2007.0
- initial contribution

